﻿@model eCommerce.Services.Model.Size
@{
    ViewBag.Title = "Medidas";
	Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Medidas</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("SizeUpdate", "Sizes", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off"}))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Descripción</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Description" value="@Model.Description" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Órden</label>
                            <div class="col-sm-1">
                                <input type="text" class="form-control" name="DisplayOrder" value="@Model.DisplayOrder" />
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Sizes'">Cancelar</button>
                            @Html.HiddenFor(model => model.SizeId)
                        </div>
                        <input hidden="hidden" name="flagDelete" id="flagDelete" value="false" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Description: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    }
                }
            });
        })();

        var drEvent = $('#Icon').dropify();
        drEvent.on('dropify.beforeClear', function (event, element) { $("#flagDelete").val(true); });

    </script>
}

